Skip to main content
GET
/
v2
/
events-monitor
/
observation
/
{observationId}
Get an Observation
curl --request GET \
  --url https://rest.forestreet.com/v2/events-monitor/observation/{observationId} \
  --header 'x-api-key: <api-key>'
{
  "_id": "69e89d74df2753cf786ef002",
  "dedupeId": "NewsArticle::url(https://www.dw.com/en/czechias-lithium-mine-plans-spark-resistance/video-76878114)",
  "sourceService": "News Monitor",
  "title": "Czechia's lithium mine plans spark resistance",
  "content": [
    "Plans to mine lithium in Cinovec, a mountain town on the Czech-German border, are dividing local communities. While the project promises jobs and investment...",
    "Plans to mine lithium in Cinovec, a mountain town on the Czech-German border, are dividing local communities. While the project promises jobs and investment, residents fear it could bring pollution and harm tourism.",
    "Czechia's lithium mine plans spark resistance",
    "In Cinovec, a small mountain town on the Czech- German border, plans to mine lithium have divided locals.",
    "Known for its clean air, forests and spa tourism, the region around Cinovec has reportedly got one of Europe's largest lithium deposits, a resource seen as vital to the green energy transition.",
    "According to Geomet, the company behind the project, mining will bring jobs and economic growth. But many residents fear it could harm the region's fragile ecosystem, which is still recovering from decades of coal mining.",
    "As miners scour Zambia for metals used in sustainable energy, locals are dealing with unchecked pollution."
  ],
  "textEmbedding": [
    0.123,
    -0.456,
    0.789
  ],
  "weight": {
    "Media Bias Multiplier": 1.992
  },
  "publishedAt": "2026-04-21T17:02:22.885Z",
  "addedAt": "2026-04-22T10:02:22.885Z",
  "clusterLabel": {
    "label": 3,
    "method": "Leiden"
  },
  "url": "https://www.dw.com/en/czechias-lithium-mine-plans-spark-resistance/video-76878114"
}

Documentation Index

Fetch the complete documentation index at: https://docs.forestreet.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

Pass a static API key for every request, provided by your customer support.

Path Parameters

observationId
string
required

The unique identifier of the observation

Example:

"69e89d74df2753cf786ef002"

Response

The response containing pagination metadata, and an array of zero or more events that satisfy the query parameters.

The response schema for the Get Observation endpoint.

_id
string
required

Unique identifier for the observation

Example:

"69e89d74df2753cf786ef002"

dedupeId
string
required

A deduplication identifier for the observation, used to identify and merge duplicate observations.

Example:

"NewsArticle::url(https://www.dw.com/en/czechias-lithium-mine-plans-spark-resistance/video-76878114)"

sourceService
string
required

The service from which the observation was sourced, e.g. 'News Monitor'.

Example:

"News Monitor"

title
string
required

Title of the observation. For news articles, this will typically be the native title of the article from the publisher.

Example:

"Czechia's lithium mine plans spark resistance"

content
string[]
required

An array of text snippets that provide the content of the observation. For news articles, this may include the article summary, key sentences, or other relevant text extracted from the article. If an article failed to scrape, it may only contain 1 content item which is the search engine snippet.

The content items may have been pruned before being stored on our system, so that only the most relevant information is retained. It is not guaranteed to be the full text of the original source.

Example:
[
"Plans to mine lithium in Cinovec, a mountain town on the Czech-German border, are dividing local communities. While the project promises jobs and investment...",
"Plans to mine lithium in Cinovec, a mountain town on the Czech-German border, are dividing local communities. While the project promises jobs and investment, residents fear it could bring pollution and harm tourism.",
"Czechia's lithium mine plans spark resistance",
"In Cinovec, a small mountain town on the Czech- German border, plans to mine lithium have divided locals.",
"Known for its clean air, forests and spa tourism, the region around Cinovec has reportedly got one of Europe's largest lithium deposits, a resource seen as vital to the green energy transition.",
"According to Geomet, the company behind the project, mining will bring jobs and economic growth. But many residents fear it could harm the region's fragile ecosystem, which is still recovering from decades of coal mining.",
"As miners scour Zambia for metals used in sustainable energy, locals are dealing with unchecked pollution."
]
textEmbedding
number[]
required

An array of numbers representing the embedding vector for the observation's content.

Example:
[0.123, -0.456, 0.789]
weight
object
required

A dictionary of weights for the observation, where the keys are weight names (e.g. 'Media Bias Multiplier') and the values are the corresponding weight values. These weights can be used to adjust the importance of the observation in various algorithms, such as event clustering or impact assessment.

Example:
{ "Media Bias Multiplier": 1.992 }
publishedAt
string | null
required

The date and time when the observation was published or recorded. These are always UTC.

Example:

"2026-04-21T17:02:22.885Z"

addedAt
string | null
required

The date and time when the observation was added to our system. These are always UTC.

Example:

"2026-04-22T10:02:22.885Z"

clusterLabel
object

The cluster label assigned to this observation, if it has been clustered.

url
string<uri>

URL of the observation, if it was sourced and scraped from the internet. Only available on publicly sourced observations such as News Articles.

Example:

"https://www.dw.com/en/czechias-lithium-mine-plans-spark-resistance/video-76878114"